<?php
require'config.php';
$align='left';
$title='Екстра баллы';
aut();
head();
who_add(0,'enter');




$unic_code = intval( $_GET['unic_code'] );

if ( $unic_code == $_SESSION['unic_code'] and $_SESSION['unic_code'] != '' ){
if ( isset( $user['id'] )) {       


if($user['extra_ball'] == 0 or $user['extra_ball'] == ''){ $user['extra_ball'] = 1; }

if(time() > $user[visit]){

$bals = $user['extra_ball'] + 1 ;
echo"Вы поймали уникальную ссылку! К вашим Экстра баллам добавлен 1 балл! Теперь у вас их $bals";

$is_time = time() + 5;
$is_str = $user[is_str] . " | " . $_SESSION[visit];


		mysql_query( "UPDATE `users` SET extra_ball=extra_ball+1 WHERE `id` = '$user[id]' LIMIT 1" );
		$_SESSION['unic_code'] = rand( 1111, 9999 );
}else{

echo'Попытка накрутки системы. В получении балла отказано.';

}


} else { echo'Вы незарегистрированны и для вас эта функция недоступна.';} 

} else { echo'Ошибка! Ссылка по которой вы прешли не являеться уникальной!'; } 


foot();

?>